#ifndef  CLIB_MADBLANKERSUPPORT_PROTOS_H
#define  CLIB_MADBLANKERSUPPORT_PROTOS_H

#ifndef LIBRARIES_MADBLANKERSUPPORT_H
#include <libraries/madblankersupport.h>
#endif

#ifndef INTUITION_SCREENS_H
#include <intuition/screens.h>
#endif
#ifndef GRAPHICS_TEXT_H
#include <graphics/text.h>
#endif

#ifdef SERVER_COMPILE
LONG MBS_ServerLogin( APTR );
#endif

LONG MBS_Query();
mbs_blankjob *MBS_GetBlankjob();
void MBS_Quit();
LONG MBS_CopyScreen( Screen *src, Screen *dest );
LONG MBS_ContinueBlanking();
void MBS_DebugMode();
LONG MBS_GetPrefs( char *ident, LONG def );
void MBS_GetStringPrefs( char *ident, char *dest );
ULONG MBS_GetScreenmodePrefs( ULONG def );
ULONG MBS_GetScreendepthPrefs( ULONG def );
void MBS_GetColorPrefs( char *ident, mbs_color *dest );
void MBS_GetFontPrefs( char *ident, struct TextAttr *ta, char *buf);

void MBS_ErrorReport( char *error );
void MBS_ClearMousePointer( Screen *scr );

APTR MBS_AllocPalette();
void MBS_FreePalette( APTR palette );
void MBS_GetScreenPalette( APTR palette, Screen *scr );
void MBS_SetPaletteScreen( APTR palette, Screen *geometry_of_scr );
void MBS_ColorCycleStep( APTR palette, ULONG start, ULONG end, LONG direction, ULONG steps );
void MBS_RefreshPalette( APTR palette, Screen *scr2 );
void MBS_PutPaletteColor( APTR palette, ULONG reg, mbs_color *col );
void MBS_GetPaletteColor( APTR palette, ULONG reg, mbs_color *col );
void MBS_PaletteSpread( APTR palette, ULONG start, ULONG stop );

void MBS_BeginAutoCycling( APTR palette, ULONG start, ULONG end, LONG direction, ULONG steps, ULONG delay );
void MBS_EndAutoCycling();

#endif
